gnutls_pk_algorithm_get_name(3)

NAME
gnutls_pk_algorithm_get_name - Get string with name of public key algorithm

SYNOPSIS
#include <gnutls/gnutls.h>

const char * gnutls_pk_algorithm_get_name(gnutls_pk_algorithm_t algorithm);

ARGUMENTS

gnutls_pk_algorithm_t algorithm
    is a pk algorithm

DESCRIPTION
Convert a gnutls_pk_algorithm_t value to a string.

RETURNS
a string that contains the name of the specified public key algorithm, or NULL.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.